Tokenizer::StreamGuard Class Reference

`#include <tokenizer.h>`

Collaboration diagram for Tokenizer::StreamGuard:

## Public Member Functions

| StreamGuard (std::istream &so, std::streamoff &of)
| ~StreamGuard ()

## Private Attributes

std::istream & | guardedStream
std::ios::iostate | currstate
std::streamoff | curroff

## Detailed Description

Definition at line 125 of file tokenizer.h.

## Constructor & Destructor Documentation

Tokenizer::StreamGuard::StreamGuard | ( | std::istream & | so,
|  | std::streamoff & | of
| ) |  |

inline

Definition at line 127 of file tokenizer.h.

References curroff, currstate, and guardedStream.

Tokenizer::StreamGuard::~StreamGuard | ( |  | ) |

inline

Definition at line 133 of file tokenizer.h.

References curroff, currstate, and guardedStream.

## Member Data Documentation

std::streamoff Tokenizer::StreamGuard::curroff

private

Definition at line 141 of file tokenizer.h.

Referenced by StreamGuard(), and ~StreamGuard().

std::ios::iostate Tokenizer::StreamGuard::currstate

private

Definition at line 140 of file tokenizer.h.

Referenced by StreamGuard(), and ~StreamGuard().

std::istream& Tokenizer::StreamGuard::guardedStream

private

Definition at line 139 of file tokenizer.h.

Referenced by StreamGuard(), and ~StreamGuard().

The documentation for this class was generated from the following file:

- /build/buildd/presage-0.8.8/src/lib/core/tokenizer/tokenizer.h